<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
GetFileFromPath Method (IEdmVault5)
See Also Example

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmVault5 Interface : GetFileFromPath Method (IEdmVault5)

Visual Basic
C#
C++/CLI

bsFilePath
  File system path to the file for which to get an interface

ppoRetParentFolder
  IEdmFolder5; 0 to not return an interface

Gets an interface to the file with the specified file system path.

# Syntax

Visual Basic |
--- | ---

    Function GetFileFromPath( _
       ByVal bsFilePath As System.String, _
       Optional ByRef ppoRetParentFolder As IEdmFolder5 _
    ) As IEdmFile5

C# |
--- | ---

    IEdmFile5 GetFileFromPath(
       System.string bsFilePath,
       out IEdmFolder5 ppoRetParentFolder
    )

C++/CLI |
--- | ---

    IEdmFile5^ GetFileFromPath(
    &   System.String^ bsFilePath,
    &   [Out] IEdmFolder5^ ppoRetParentFolder
    )

#### Parameters

bsFilePath
  File system path to the file for which to get an interface
ppoRetParentFolder
  IEdmFolder5; 0 to not return an interface

#### Return Value

IEdmFile5; Null if file specified in bsFilePath does not exist

# Example

Get File References for a File (C#)
Get File References for a File (VB.NET)
Get File Version Information (C#)
Get File Version Information (VB.NET)
Set Part Number Using Default Serial Numbers (C#)
Set Part Number Using Default Serial Numbers (VB.NET)

# Remarks

Return codes:

- S_OK: The method successfully executed.
- S_FALSE: The file was not found.
- E_EDM_NOT_LOGGED_IN: You must call IEdmVault5::Login or IEdmVault5::LoginAuto before calling this method.

# See Also

####

IEdmVault5 Interface
IEdmVault5 Members
IEdmVault5::GetFolderFromPath Method ()

# Availability

SOLIDWORKS PDM Professional Version 5.2